clc;
clear;
close all;

a=realp('a',1);
b=realp('b',3);

A=[1 a+b
   0 a*b];

B=[-3
    1.5];

C=[0.3 0];

D=0;

G=ss(A,B,C,D);

a_values=-linspace(0,5,10);
b_values=linspace(0,5,10);

[aa bb]=meshgrid(a_values,b_values);

H=replaceBlock(G,'a',aa(:),'b',bb(:));

Poles=pole(H);

Poles=reshape(Poles,2,[]);

z=reshape(Poles(2,:),size(aa));

surf(aa,bb,z);
xlabel('a');
ylabel('b');
zlabel('z');

